<?php

    include("../../classes/database.class.php");
    include("../../classes/turmaModel.class.php");
    include("../../classes/turmaController.class.php");
    

    $periodo = $_POST["periodo"];
    $curso = $_POST["curso"];
    $professor = $_POST["professor"];
    $nome = $_POST["nome"];
    $capacidade = $_POST["capacidade"];
    $nota = $_POST["nota"];

    $turma = new TurmaController($periodo, $curso, $professor, $nome, $capacidade, $nota);
    $rows = $turma->createTurma();

   echo json_encode($rows);


    /*for($i = 0; $i < count($professor); $i++){
        echo $professor[$i];
    }*/

    /*if($nota == ""){
        $nota = null;
    }
    
    $turma = new TurmaController($nome, $periodo, $nota);
    $rows = $turma->createTurma();

   echo json_encode($rows);*/